Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.dockbar
Class DockbarManager

    java.lang.Object
      org.flexdock.dockbar.DockbarManager

    public class DockbarManager

extends Object

Author:
  Christopher Butler, Bobby Rosenberger, Mateusz Szczap

Field Summary
`static int` | `DEFAULT_EDGE`
`static Integer` | `DOCKBAR_LAYER`

Method Summary
`static void` | `activate(Dockable dockable, boolean locked)`
`static void` | `activate(String dockableId, boolean locked)`
`static void` | `addListener(DockbarListener listener)`
`boolean` | `contains(Dockable dockable)`
`ActivationListener` | `getActivationListener()`
`Dockable` | `getActiveDockable()`
`String` | `getActiveDockableId()`
`int` | `getActiveEdge()`
`Dockbar` | `getBottomBar()`
`static DockbarManager` | `getCurrent()`
`static DockbarManager` | `getCurrent(Dockable dockable)`
`Dockbar` | `getDockbar(Dockable dockable)`
`Dockbar` | `getDockbar(int edge)`
`int` | `getEdge(Dockable dockable)`
`int` | `getEdge(String dockableId)`
`static DockbarManager` | `getInstance(Component c)`
`static DockbarManager` | `getInstance(RootWindow window)`
`DockbarLayout` | `getLayout()`
`Dockbar` | `getLeftBar()`
`int` | `getPreferredViewpaneSize()`
`Cursor` | `getResizeCursor()`
`Dockbar` | `getRightBar()`
`ViewPane` | `getViewPane()`
`RootWindow` | `getWindow()`
`boolean` | `isActive()`
`boolean` | `isAnimating()`
`boolean` | `isDragging()`
`void` | `minimize(Dockable dockable)`
`void` | `minimize(Dockable dockable, int edge)`
`void` | `reAdd(Dockable dockable)`
`boolean` | `remove(Dockable dockable)`
`void` | `restore(Dockable dockable)`
`void` | `revalidate()`
`void` | `setActiveDockable(Dockable dockable)`
`void` | `setActiveDockable(String dockableId)`
`void` | `setAnimating(boolean animating)`
`void` | `setDragging(boolean dragging)`
`void` | `validate()`
`static void` | `windowChanged(Component newWindow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOCKBAR_LAYER

    public static final Integer DOCKBAR_LAYER

### DEFAULT_EDGE

    public static final int DEFAULT_EDGE

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static DockbarManager getInstance(Component c)

### getInstance

    public static DockbarManager getInstance(RootWindow window)

### getCurrent

    public static DockbarManager getCurrent(Dockable dockable)

### windowChanged

    public static void windowChanged(Component newWindow)

### getCurrent

    public static DockbarManager getCurrent()

### addListener

    public static void addListener(DockbarListener listener)

### activate

    public static void activate(String dockableId,
                                boolean locked)

### activate

    public static void activate(Dockable dockable,
                                boolean locked)

### getWindow

    public RootWindow getWindow()

### getBottomBar

    public Dockbar getBottomBar()

### getLeftBar

    public Dockbar getLeftBar()

### getRightBar

    public Dockbar getRightBar()

### getViewPane

    public ViewPane getViewPane()

### revalidate

    public void revalidate()

### validate

    public void validate()

### getEdge

    public int getEdge(String dockableId)

### getEdge

    public int getEdge(Dockable dockable)

### getDockbar

    public Dockbar getDockbar(Dockable dockable)

### getDockbar

    public Dockbar getDockbar(int edge)

### minimize

    public void minimize(Dockable dockable)

### minimize

    public void minimize(Dockable dockable,
                         int edge)

### reAdd

    public void reAdd(Dockable dockable)

### restore

    public void restore(Dockable dockable)

### remove

    public boolean remove(Dockable dockable)

### getActiveEdge

    public int getActiveEdge()

### getActiveDockableId

    public String getActiveDockableId()

### getActiveDockable

    public Dockable getActiveDockable()

### getResizeCursor

    public Cursor getResizeCursor()

### isActive

    public boolean isActive()

### setActiveDockable

    public void setActiveDockable(String dockableId)

### setActiveDockable

    public void setActiveDockable(Dockable dockable)

### getPreferredViewpaneSize

    public int getPreferredViewpaneSize()

### isAnimating

    public boolean isAnimating()

### setAnimating

    public void setAnimating(boolean animating)

### isDragging

    public boolean isDragging()

### setDragging

    public void setDragging(boolean dragging)

### getActivationListener

    public ActivationListener getActivationListener()

### contains

    public boolean contains(Dockable dockable)

### getLayout

    public DockbarLayout getLayout()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD